[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParamStyle

Style of parameter

## Declaration

Source position: db.pas line 1174

`type TParamStyle = (`
`psInterbase,` |  | Parameters are specified by a ? character
`psPostgreSQL,` |  | Parameters are specified by a $N character.
`psSimulated` |  | Parameters are specified by a $N character.
`);`

## Description

TParamStyle denotes the style in which parameters are specified in a query. It is used in the TParams.ParseSQl method, and can have the following values:

psInterbase
  Parameters are specified by a ? character
psPostgreSQL
  Parameters are specified by a $N character.
psSimulated
  Parameters are specified by a $N character.

## See also

TParams.ParseSQL |  | Parse SQL statement, replacing parameter names with SQL parameter placeholders